Download it now!
Bug 121457 - "Fullscreen Presentation" should not be under "Slide" menu
Summary: "Fullscreen Presentation" should not be under "Slide" menu
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice Online
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Samuel Mehrbrodt (CIB)
URL:
Whiteboard: target:6.4.0 target:7.0.0
Keywords:
Depends on:
Blocks:
 
Reported: 2018-11-16 09:06 UTC by Samuel Mehrbrodt (CIB)
Modified: 2020-02-20 14:04 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Samuel Mehrbrodt (CIB) 2018-11-16 09:06:17 UTC
Instead it should have a "Slide show" menu item as the desktop version has.
Comment 1 Xisco Faulí 2018-12-18 15:51:53 UTC
makes sense
Comment 2 Commit Notification 2019-09-26 07:49:06 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/online/commit/52775325f55d785b42011c34802ff9c5ce620f2c

tdf#121457 Move "Fullscreen Presentation" to "Slideshow" menu
Comment 3 Aron Budea 2019-10-04 01:56:05 UTC
I agree with the idea of bringing the UI of the desktop and online versions closer together in general, with some exceptions considering the different requirements towards an online product. I'd say this case is also among the exceptions, as the extra menu only has a single entry, and the Slide menu doesn't have more than a few, either (compared to the two dozens or so in desktop), and I'm assuming there's no such problem that Slide Show would be out of place in the Slide menu. Or was it the case that users didn't find the menu entry in its original place perhaps?
Comment 4 Samuel Mehrbrodt (CIB) 2019-10-11 08:43:49 UTC
I don't have any specific reports about users not finding the entry.
My opinion is that it's better to have it in a separate menu even if it contains only a single entry to make things clear and obvious.

What does UX think about this?
Comment 5 Heiko Tietze 2019-10-14 10:30:38 UTC
Consistency over modules and platforms is desirable. But I don't see an issue with this particular menu item and would keep it under Slide.
Comment 6 Aron Budea 2020-02-18 14:18:10 UTC
Samuel, what do you think in light of the feedback from Heiko?
Comment 7 Samuel Mehrbrodt (CIB) 2020-02-18 15:19:59 UTC
(In reply to Aron Budea from comment #6)
> Samuel, what do you think in light of the feedback from Heiko?

My opinion did not change :)
But I don't care too much, if this annoys you, feel free to revert.
Comment 8 Aron Budea 2020-02-19 15:02:51 UTC
Heiko, Samuel, thanks for the feedback! I'm reverting for now, if the Slide submenu gets more items, we can revisit this in the future.
Comment 9 Commit Notification 2020-02-20 14:04:22 UTC
Aron Budea committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/online/commit/c5f7a503f6cdf2a19ad136099d07b8ebe43c8e30

Revert "tdf#121457 Move "Fullscreen Presentation" to "Slideshow" menu"